image: node:12.18.3

stages:
  - build
  - deploy

build:
  stage: build
  tags:
    - gitlabci
    - gitlabrunner
  script:
    - echo "Building deploy Package"
    - npm install
    - npm build
    - echo "Building Successfull"
  artifacts:
    expire_in: 1 hour
    paths:
      - build

deploy_production:
  stage: deploy
  only:
    refs:
      - master
  tags:
    - gitlabci
    - gitlabrunner
  environment: Production
  script:
    - npm install
    - npm build
    - ls
